      SUBROUTINE MTIT
     I                (MESSFL,SCLU,
     M                 TITLE,BNAME,
     M                 CNAME,CUNITS,CSOPT,BODOPT)
C
C     + + + PURPOSE + + +
C     routine to process input for form 1
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER     MESSFL,SCLU,BODOPT
      CHARACTER*1 TITLE(59),BNAME(59),
     1            CNAME(4,4),CUNITS(4,4),CSOPT(3,11)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - unit number for message file
C     SCLU   - cluster number on message file
C     TITLE  - character string for title of run
C     BNAME  - character string for basin name
C     CNAME  - character string for conservative mineral
C              and arbitrary non-conservative names
C     CUNITS - character string for conservative mineral
C              and arbitrary non-conservative units
C     CSOPT  - character string to indicate if parameters on form 1
C              are to be simulated
C     BODOPT - type of BOD simulation, 1- 5-day, 2- ultimate
C
C     + + + LOCAL VARIABLES + + +
      INTEGER     I,I1,I198,SGRP,LEN,J,K,CVAL(22,3),IVAL(1)
      REAL        RVAL(1)
      DOUBLE PRECISION DVAL(1)
      CHARACTER*1 LBUFF(198),BLNK
C
C     + + + EXTERNALS + + +
      EXTERNAL    ZIPC, CHRCHR, QRESCZ
C
C     + + + END SPECIFICATIONS + + +
C
      I1  = 1
      I198= 198
      BLNK= ' '
C
      CALL ZIPC (I198,BLNK,LBUFF)
C     get title and basin name
      LEN= 59
C     put old title in buffer
      CALL CHRCHR (LEN,TITLE,LBUFF)
C     put old basin name in buffer
      CALL CHRCHR (LEN,BNAME,LBUFF(60))
C     title data
      K  = 2*LEN- 12
      LEN= 4
      DO 10 I= 1,4
        J= K+ 3*I*LEN+ 1
        IF (I.EQ.4) THEN
          CALL CHRCHR (LEN-1,CSOPT(1,11),LBUFF(J))
        ELSE
          CALL CHRCHR(LEN-1,CSOPT(1,I),LBUFF(J))
        END IF
        J= J+ LEN
        CALL CHRCHR(LEN,CNAME(1,I),LBUFF(J))
        J= J+ LEN
        CALL CHRCHR(LEN,CUNITS(1,I),LBUFF(J))
 10   CONTINUE
      K= J
      DO 20 I= 4,10
        J= K+ (I-3)*LEN
        CALL CHRCHR(LEN-1,CSOPT(1,I),LBUFF(J))
 20   CONTINUE
      CVAL(22,1)= BODOPT
      I   = 22
      SGRP= 2
      CALL QRESCZ (MESSFL,SCLU,SGRP,I1,I1,I1,I,I1,I1,I198,
     M             IVAL,RVAL,DVAL,CVAL,LBUFF)
C
      LEN= 59
      CALL CHRCHR (LEN,LBUFF,TITLE)
      CALL CHRCHR (LEN,LBUFF(60),BNAME)
      K  = 2*LEN- 12
      LEN= 4
      DO 30 I= 1,4
        J= K+ 3*I*LEN+ 1
        IF (I.EQ.4) THEN
          CALL CHRCHR (LEN-1,LBUFF(J),CSOPT(1,11))
        ELSE
          CALL CHRCHR(LEN-1,LBUFF(J),CSOPT(1,I))
        END IF
        J= J+ LEN
        CALL CHRCHR(LEN,LBUFF(J),CNAME(1,I))
        J= J+ LEN
        CALL CHRCHR(LEN,LBUFF(J),CUNITS(1,I))
 30   CONTINUE
      K= J
      DO 40 I= 4,10
        J= K+ (I-3)*LEN
        CALL CHRCHR(LEN-1,LBUFF(J),CSOPT(1,I))
 40   CONTINUE
      BODOPT= CVAL(22,1)
C
      RETURN
      END
